<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LockerZone extends Model
{
    protected $fillable = [
        'name', 'code', 'floor', 'gender_restriction', 'description', 'is_active',
    ];

    protected $casts = [
        'is_active' => 'boolean',
    ];

    public function lockers()
    {
        return $this->hasMany(Locker::class, 'zone_id');
    }
}
